#ifndef __GLOBALS_H__
#define __GLOBALS_H__

#include <stddef.h>
#include <stdio.h>
#include "GString.h"
#include "Arrays.h"
#include "GContainer.h"
#include "GURL.h"
#include <time.h>

#define BASE_SCHEMA_FILE "/home/davek/src/p3p/port/BaseDataschema-std.xml"

/* functions */
GURL GetURLFromP3PHeader(GString &p3pheader, const GURL &sourceURL);
time_t InternetTimeToUnixTime(const char *it);
GString SeparateNameAndURL(GURL &url);


#endif
