#include "PolicyHandler.h"
#include "PolicySummary.h"
#include "P3PEvaluator.h"
#include <iostream.h>
#include <stdio.h>

main(int argc, char **argv) {
  PolicyReferenceHandler p;

  GURL u, v, polurl;
  Result r;
  int x;
  DArray<char> appel;
  FILE *fp;

  if(argc < 2) {
    cerr << "USAGE: " << argv[0] << " URL" << endl;
    exit(1);
  }
  
  fp=fopen("/home/davek/src/p3p/port/a-m.xml", "rb");
  fseek(fp, 0, SEEK_END);
  int len = ftell(fp);
  fseek(fp, 0, SEEK_SET);
  appel.resize(0, len-1);
  fread(appel, len, 1, fp);
  fclose(fp);

  u=(GURL)argv[1];
  v=u.host()+"/w3c/p3p.xml";
  p.HandlePolicyReferenceURL(v, argv[1]);
  polurl = p.FindPolicy(u, "GET");

  cout << polurl << endl;
  r=Result(argv[1]);
  x=p.HandlePolicyURL(polurl, argv[1], appel, r);
  cout << r.BusinessName << endl;
}
