#ifndef __CookieHistoryDLG_H_
#define __CookieHistoryDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>


/////////////////////////////////////////////////////////////////////////////
// CCookieHistoryDialog dialog

class CCookieHistoryDialog : public CAxDialogImpl<CCookieHistoryDialog>
{
// Construction
public:
	CCookieHistoryDialog();   // standard constructor

	~CCookieHistoryDialog();

	enum { IDD = IDD_COOKIE_HISTORY };

BEGIN_MSG_MAP(CCookieHistoryDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_NOTIFY, OnNotify)


	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);

	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	LRESULT OnNotify(UINT code, WPARAM wParam, LPARAM lParam, BOOL& result);

private:
	void PopulateOtherSites(GString &site);
	GString GetSelectedItemText();
	GString oldselstr;


	
};


#endif 