
#ifndef MATCH_H
#define MATCH_H

/* include files */
#include "XmlNode.h"
#include "P3PEvaluator.h"


class AppelMatcher
{
public:
int match(GP<XmlNode> appel_tree, GP<XmlNode> p3p_tree,
                Result &result);

private:
void add_p3p_defaults(GP<XmlNode> p3p_tree);

int appel_match(GP<XmlNode> appel_tree, GP<XmlNode> p3p_tree,
                Result &appel_rule);

GP<XmlNode> find_policy_tag(GP<XmlNode> root, GString name);

void xml_add_p3p_defaults(GP<XmlNode> xmldata);
int appel_match_expression(GP<XmlNode> e, GP<XmlNode> x, GURL &siteurl);
int get_connective(GP<XmlNode> e);
int match_attributes(GP<XmlNode> e, GP<XmlNode> x);
int cvt_to_rule(GMap<GString, GString> &argv, Result &prule);
int AppelMatcher::match_request(GP<XmlNode> e, GURL &siteurl);

};


#endif

/* end of file */
