#ifndef __PolicySummaryDLG_H_
#define __PolicySummaryDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>
#include "IconDialog.h"
#include "WebHost.h"


/////////////////////////////////////////////////////////////////////////////
// CPolicySummaryDialog dialog

class CPolicySummaryDialog : public CAxDialogImpl<CPolicySummaryDialog>
{
	Result &result;
// Construction
public:
	CPolicySummaryDialog(Result &result);   // standard constructor

	~CPolicySummaryDialog();

	//enum { IDD = IDD_POLICYSUMMARY };
	enum { IDD = IDD_FULLPOLICY };

BEGIN_MSG_MAP(CPolicySummaryDialog)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_HELP, OnContextHelp)
	COMMAND_ID_HANDLER(IDOK, OnOK)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
END_MSG_MAP()

	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnDestroy(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
	LRESULT OnContextHelp(UINT, WPARAM, LPARAM, BOOL&);

	CComObject<CWebHost> *p_webhost;

	
};


#endif 