#include "P3PEvaluator.h"


class SummaryHTML
{
public:
static void PrepareSummaryHTML(Result &result, GString &resulthtml);
static void PrepareShortSummary(Result &result, GString &resultSummary);

private:
static GString PrepareDLLPath(const GString &formatstring);
static GString MarkupOptURI(const GString &str, const GString &opturl);
static GString ReplaceStatementFormatString(const GString &poundname, const GString &formatstring, const GP<StatementInfo> statement, int statement_number);
static void PrepareStatementHTML(GP<StatementInfo> result_statement, GString &resulthtml, int statement_number);
static GString ReplaceFormatString(const GString &poundname, const GString &formatstring, const Result &result);
static void PrepareSummary(Result &result, GString &formatResource, GString &resulthtml);
};